# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
    config.vm.box = "generic/ubuntu2004"
    
    config.vm.define "ubuntu-server" do |machine|
      machine.vm.hostname = "ubuntu-server"
      machine.vm.network "forwarded_port", guest: 3000, host: 3000
      config.vm.provider "virtualbox" do |vb|
          vb.memory=2048
          vb.cpus=2
        end
      machine.vm.provision "ansible" do |ansible|    
          ansible.playbook = "playbook.yml"  
      end
    end
  end
  